Subject: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2023 17:23:01 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Sat, 07 Jan 2023 15:19:12 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Then, may "13.4 Defining Functions" be a good place to link to this
> >> subtlety?
> >> 
> >> The documentation for `defalias' is not really very clear, even now,
> >> when I am aware about the issue herein:
> >> 
> >>      The proper place to use ‘defalias’ is where a specific function or
> >>      macro name is being defined—especially where that name appears
> >>      explicitly in the source file being loaded.  This is because
> >>      ‘defalias’ records which file defined the function, just like
> >>      ‘defun’ (*note Unloading::).
> >> 
> >>      By contrast, in programs that manipulate function definitions for
> >>      other purposes, it is better to use ‘fset’, which does not keep
> >>      such records.  *Note Function Cells::.
> >
> > FWIW, I don't see anything unclear here.  Moreover, what does defalias
> > have to do with the issue of links to code of generated functions?
> 
> The above says that `defalias' "records which file defined the
> function". It appears to be related to what we are discussing here -
> locating the function definition.

Tangentially at best.

> However, the present manual description does not talk what "records"
> refers to. I presume that the records are to be used by *Help* system.
> If so, it also makes sense to elaborate. Either here, or in other node
> linked from here.

We must find a better place.

And the main problem is not where to document this (its natural place
is where all the standard properties are described), the main problem
is how to index it so that people could easily find it.  Also, where
else to mention that property in the manual, in related context.  We
don't seem to have anything about generating code...